petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSTrajectoryDestroy

Destroys a trajectory context

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryDestroy(TSTrajectory *tj)

Collective on TSTrajectory

### Input Parameter

tj -the TSTrajectory context obtained from TSTrajectoryCreate()

### See Also

TSTrajectoryCreate(), TSTrajectorySetUp()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectoryDestroy_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectoryDestroy_Memory in src/ts/trajectory/impls/memory/trajmemory.c
TSTrajectoryDestroy_Singlefile in src/ts/trajectory/impls/singlefile/singlefile.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages